Spec (v1.1)
A vehicle's full technical specification: engine, performance, dimensions and weights. Gross and kerb weights are returned for commercial vehicles only.
Earlier version
This documents Spec v1.1. The current version is v1.2.
GET
/spec/1.1Authorization
Query parameters
Query parameters
vrm?stringVRM to search (required if `vin` not supplied)
vin?stringVIN to search (required if `vrm` not supplied)
Responses
application/json
{
"spec": {
"cid": 7381,
"year": 2014,
"make": "Ford",
"model": "Ranger",
"type": "LCV",
"derivative": "Wildtrak",
"bodyStyle": "Double Cab Pick Up",
"steeringPosition": "Right Hand Drive",
"transmission": "Automatic",
"gears": 6,
"doors": 4,
"seats": 5,
"fuelType": "Diesel",
"fuelDelivery": "Turbo",
"engineCapacity": 3198,
"enginePosition": null,
"numberValves": 20,
"numberCylinders": 5,
"cylinderLayout": null,
"powerOutputBhp": 200,
"powerOutputKw": 149,
"wheelbase": 3220,
"builtFrom": "2011-10-01 00:00:00",
"builtTo": "2015-08-31 00:00:00",
"co2Emissions": 265,
"yearlyTaxCost": 155,
"scrapped": false,
"imported": false,
"colour": "Orange",
"wheelPlan": "2 Axle Rigid Body"
}
}spec?Code samples
curl --request GET \
--url 'https://api.cazana.com/spec/1.1?vrm=AB12CDE&vin=SALGA2BU8HA000000' \
--header 'Authorization: bearer YOUR_API_KEY'